<!DOCTYPE html>
<html lang="en">
    <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
    <title>Mango QUIZ</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
    <link rel="manifest" href="manifest.json">
    <link rel="apple-touch-icon" sizes="180x180" href="icons/icon-180x180.png">
    <script>
        var firebaseConfig = {
            apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
            authDomain: "theflyingmangobutterflies.firebaseapp.com",
            databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
            projectId: "theflyingmangobutterflies",
            storageBucket: "theflyingmangobutterflies.appspot.com",
            messagingSenderId: "917586757603",
            appId: "1:917586757603:web:d7032957a5a827e1"
        };
        firebase.initializeApp(firebaseConfig);
    </script>
    <head>
        <style>
                body {
                    margin: 0;
                }
                button {
                    outline: none;
                }
                #nav-bar {
                    height: 104px;
                    width: 100%;
                    border-bottom-left-radius: 20px;
                    border-bottom-right-radius: 20px;
                    background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
                }
                #nav-text {
                    position: absolute;
                    height: 30px;
                    width: 30vw;
                    color: #000;
                    font-family: Montserrat;
                    font-size: 25px;
                    font-weight: 700;
                    line-height: 30px;
                    text-align: center;
                    margin-left: 35vw;
                    margin-top: 35px;
                }
                .fa-chevron-left {
                    font-size: 25px;
                    margin-top: 13.1px;
                    margin-left: 12px;
                }
                .rectangle-menu {
                    margin-top: 15px;
                    box-sizing: border-box;
                    height: 91px;
                    width: 296px;
                    border-radius: 10px; 
                    padding: 0;
                    border: 0;
                }
                #tmp {
                    height: 82vh;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    flex-direction: column;
                }
                .menu-text {
                    margin: 0;
                    height: 26px;
                    width: 100%;
                    color: #000;
                    font-family: 'Montserrat', sans-serif;
                    font-size: 22px;
                    font-weight: 700;
                    letter-spacing: 1px;
                    line-height: 26px;
                    text-align: center;
                }
                #icon_hint {
                    height: 28.95px;
                    width: 30px;
                    /* background-color: #000; */
                    transform: rotate(180deg);
                    background-image: url(hint.png);
                    background-repeat: no-repeat;
                    background-size: cover;
                }
                #hint_hint {
                    /* padding-left: 317px;
                    margin-top: 39.1px; */
                    display: flex;
                    flex-direction: row-reverse;
                    justify-content: space-between;
                    padding: 28px;
                }
                #hint-number {
                    height: 25px;
                    width: 25px;
                    background-color: #FFF;
                    border-radius: 50%;
                    position: absolute;
                    z-index: 1;
                    top: -11px;
                    right: -11px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                }
                #tmp-5 {
                    position: relative;
                    margin-top: 10px;
                }
                #hint-number-title {
                    color: #000;
                    font-family: Montserrat;
                    font-size: 15px;
                    font-weight: 700;
                    line-height: 18px;
                    text-align: center;
                }
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">Тоглох</div>
            <div id="hint_hint">
                <div id="tmp-5">
                    <div id="hint-number">
                        <h1 id="hint-number-title"></h1>
                    </div>
                    <div id="icon_hint">
                    </div>
                </div>
                <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
            </div>
            
        </div>
        <div id="tmp">
            <button class="rectangle-menu" onclick="kino()" style="background-color:rgba(51,153,255,0.7)">
                <h1 class="menu-text">Кино</h1>
            </button>
            <button class="rectangle-menu" onclick="togloom()" style="background-color:rgba(243,202,62,0.7)">
                <h1 class="menu-text">Тоглоом</h1>
            </button>
            <button class="rectangle-menu" onclick="hun()" style="background-color:rgba(255,95,88,0.7)">
                <h1 class="menu-text">Хүн</h1>
            </button>
            <button class="rectangle-menu" onclick="uls()" style="background-color:rgba(42,201,64,0.7)">
                <h1 class="menu-text">Улс</h1>
            </button>
            <button class="rectangle-menu" onclick="duu()" style="background-color:rgba(255,51,102,0.7)">
                <h1 class="menu-text">Дуу</h1>
            </button>
            <!-- <button class="rectangle-menu" onclick="tuuh()" style="background-color:rgba(250,153,23,0.7)">
                <h1 class="menu-text">Түүх</h1>
            </button> -->
        </div>
        <script>
            var DB = firebase.database();
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
            });
            function back_icon() {
                window.location.href = "first_menu.html";
            }
            function kino() {
                DB.ref(`/Users/${localStorage.getItem('username')}/ali_catalogy_songoson`).set('kino').then(() => {
                    window.location.href = "movie_menu.html";
                });
            }
            function hun() {
                window.location.href = "test.html";
            }
            function uls() {
                window.location.href = "test.html";
            }
            function togloom() {
                // DB.ref(`/Users/${localStorage.getItem('username')}/ali_catalogy_songoson`).set('togloom');
                window.location.href = "test.html";
            }
            function duu() {
                // DB.ref(`/Users/${localStorage.getItem('username')}/ali_catalogy_songoson`).set('duu');
                window.location.href = 'song_menu.html';
            }
        </script>
    </body>
</html>